<html>
  <head>
    <title>finger drums</title>
    <style>
      body {
        font-family: "Helvetica Neue", "Arial", sans-serif;
		font-size: 1rem;
      }
      textarea {
        font-family: "Helvetica Neue", "Arial", sans-serif;
		font-size: 1rem;
      }
      input {
        font-family: "Helvetica Neue", "Arial", sans-serif;
		font-size: 1rem;
        width:30%
      }
	  .light {
        background-color:white;
        background:white;
        color:black;
      }
      .dark {
        background-color:black;
        background:black;
        color:white;
      }
      .spaced-out {
        width:100%;
        line-height:30px;
        display: inline-grid;
        grid-template-columns: 5% 10% 80% 5%
      }
      .more {
        margin-bottom:10px
      }
      .col-2 {
        grid-column-start:2
      }
      .col-3 {
        grid-column-start:3
      }
    </style>
  </head>
  <body class="light">
    <audio id="sample01" src="samples/sample01.wav"></audio>
    <audio id="sample02" src="samples/sample02.wav"></audio>
    <audio id="sample03" src="samples/sample03.wav"></audio>
    <audio id="sample04" src="samples/sample04.wav"></audio>
    <audio id="sample05" src="samples/sample05.wav"></audio>
    <audio id="sample06" src="samples/sample06.wav"></audio>
    <audio id="sample07" src="samples/sample07.wav"></audio>
    <audio id="sample08" src="samples/sample08.wav"></audio>
    <audio id="sample09" src="samples/sample09.wav"></audio>
    <audio id="sample10" src="samples/sample10.wav"></audio>
    <audio id="sample11" src="samples/sample11.wav"></audio>
    <audio id="sample12" src="samples/sample12.wav"></audio>
    <audio id="sample13" src="samples/sample13.wav"></audio>
    <audio id="sample14" src="samples/sample14.wav"></audio>
    <audio id="sample15" src="samples/sample15.wav"></audio>
    <audio id="sample16" src="samples/sample16.wav"></audio>

    <div class="spaced-out">
      <div class="col-2">
        <label>address</label>
      </div>
      <div class="col-3">
        <input class="light" type="text" />
      </div>
    </div>
    <div class="spaced-out">
      <div class="col-2">
        <label>subject</label>
      </div>
      <div class="col-3">
        <input class="light" type="text" />
      </div>
    </div>
    <div class="spaced-out more">
      <div class="col-2">
        <label>body</label>
      </div>
      <div class="col-3">
        <textarea class="light" id="textarea" rows="35" cols="100"></textarea>
      </div>
    </div>
    <div class="spaced-out">
      <div class="col-3">
        <button class="light">send</button>
        <button class="light" id="toggle-style-dark">dark</button>
        <button class="light" id="toggle-style-light">light</button>
      </div>
    </div>
    <script type="text/javascript">
      window.addEventListener('load', function(event) {
	    document.getElementById('toggle-style-light').hidden = true;
        document.getElementById('textarea').focus();
        document.getElementById('toggle-style-dark').addEventListener('click', function(e) {
          document.getElementById('toggle-style-dark').hidden = true;
          document.getElementById('toggle-style-light').hidden = false;
          Array.prototype.forEach.call(document.getElementsByTagName('body'), function(item) { item.className = 'dark'; });
          Array.prototype.forEach.call(document.getElementsByTagName('input'), function(item) { item.className = 'dark'; });
          Array.prototype.forEach.call(document.getElementsByTagName('button'), function(item) { item.className = 'dark'; });
          Array.prototype.forEach.call(document.getElementsByTagName('textarea'), function(item) { item.className = 'dark'; });
        });
        document.getElementById('toggle-style-light').addEventListener('click', function(e) {
          document.getElementById('toggle-style-light').hidden = true;
          document.getElementById('toggle-style-dark').hidden = false;
          Array.prototype.forEach.call(document.getElementsByTagName('body'), function(item) { item.className = 'light'; });
          Array.prototype.forEach.call(document.getElementsByTagName('input'), function(item) { item.className = 'light'; });
          Array.prototype.forEach.call(document.getElementsByTagName('button'), function(item) { item.className = 'light'; });
          Array.prototype.forEach.call(document.getElementsByTagName('textarea'), function(item) { item.className = 'light'; });
        });
        document.addEventListener('keydown', function(e) {
          if (e.isComposing || event.keyCode === 229) {
            return;
          }

          // keys are from a US keyboard
          switch (e.keyCode) {
            case 8:  // backspace
              return playSound('sample01');
            case 9:  // backspace
              return playSound('sample16');
            case 13: // enter
              return playSound('sample02');
            case 16: // shift
              return playSound('sample03');
            case 17: // ctrl
              return playSound('sample04');
            case 18: // alt
              return playSound('sample05');
            case 32: // space
              return playSound('sample05');
            case 37: // left
              return playSound('sample07');
            case 38: // up
              return playSound('sample08');
            case 39: // right
              return playSound('sample09');
            case 40: // down
              return playSound('sample10');
            case 48: // 0
              return playSound('sample10');
            case 49: // 1
              return playSound('sample01');
            case 50: // 2
              return playSound('sample02');
            case 51: // 3
              return playSound('sample03');
            case 52: // 4
              return playSound('sample04');
            case 53: // 5
              return playSound('sample05');
            case 54: // 6
              return playSound('sample06');
            case 55: // 7
              return playSound('sample07');
            case 56: // 8
              return playSound('sample08');
            case 57: // 9
              return playSound('sample09');
            case 186: // ;
              return playSound('sample11');
            case 187: // =
              return playSound('sample12');
            case 188: // ,
              return playSound('sample13');
            case 189: // -
              return playSound('sample14');
            case 190: // .
              return playSound('sample15');
            case 191: // /
              return playSound('sample16');
            case 192: // `
              return playSound('sample11');
            case 219: // [
              return playSound('sample12');
            case 221: // ]
              return playSound('sample13');
            case 220: // \
              return playSound('sample14');
            case 222: // '
              return playSound('sample15');
            case 65: // A
              return playSound('sample02');
            case 66: // B
              return playSound('sample10');
            case 67: // C
              return playSound('sample06');
            case 68: // D
              return playSound('sample05');
            case 69: // E
              return playSound('sample01');
            case 70: // F
              return playSound('sample08');
            case 71: // G
              return playSound('sample09');
            case 72: // H
              return playSound('sample04');
            case 73: // I
              return playSound('sample03');
            case 74: // J
              return playSound('sample13');
            case 75: // K
              return playSound('sample12');
            case 76: // L
              return playSound('sample06');
            case 77: // M
              return playSound('sample07');
            case 78: // N
              return playSound('sample03');
            case 79: // O
              return playSound('sample02');
            case 80: // P
              return playSound('sample10');
            case 81: // Q
              return playSound('sample15');
            case 82: // R
              return playSound('sample05');
            case 83: // S
              return playSound('sample04');
            case 84: // T
              return playSound('sample01');
            case 85: // U
              return playSound('sample07');
            case 86: // V
              return playSound('sample11');
            case 87: // W
              return playSound('sample08');
            case 88: // X
              return playSound('sample14');
            case 89: // Y
              return playSound('sample09');
            case 90: // Z
              return playSound('sample16');
          }
        });
      });
      
      function playSound(sample) {
        var $sample =  document.getElementById(sample);
            
        $sample.currentTime = 0;
        $sample.play();
        return false;
      }
    </script>
  </body>
</html>